%define version		2.0
%define release		7mdk
%define	qtdir		/usr/lib/qt2
%define KDEDATE		20001017
%define sourcedir	stable/%{version}/distribution/tar/generic/source
%define pamservice	kde
%define inmenudir	$RPM_BUILD_ROOT/usr/share/applnk.kdeold

Name:		kdebase
Icon:		kde-icon.xpm
URL:		http://www.kde.org/
Summary:	K Desktop Environment - Core files
Version:	%{version}
Release:	%{release}
Epoch:		1

Source:		ftp://ftp.kde.org/pub/kde/{sourcedir}/kdebase-%{KDEDATE}-src.tar.bz2
Source7:	mdk-scripts.tar.bz2
Source2:	kde-menu
Source10:	kde-pixmaps.tar.bz2
Source30:	removekdesysmenu.pl
Source31:	restorekdemimetypes.sh
Source32:	savekdemimetypes.sh
Source33:	kdebasedir
Source34:	kde.pam


#(Dadou): Default Linux-Mandrake config files
Source8:        clockappletrc
Source4:        kdesktoprc
Source5:        khelpcenterrc
Source6:        kdeglobals
Source13:       kdmrc
Source101:	kickerrc

# Splash screen
Source200:	kdebase-splash-top-gradient.png
Source201:	kdebase-splash-active.png
Source202:	kdebase-splash-inactive.png

Patch1:		kdebase_kickerbut.patch.bz2
Patch2:		kdebase-kmenuedit.patch.bz2
# Launch menudrake instead kmenuedit in kicker
Patch3:		kdebase-panelop_mnu.cpp.patch.bz2
Patch4:		kdebase-minipager.patch.bz2
Patch14:	kdm.patch.bz2
Patch17:	kdebase-kdesu.patch.bz2
#(fredl) Patch to redirect stderr of kdm to /var/log/xdm-errors
Patch15:	kdebase-kdm-stderr.patch.bz2
#(chmou): Tell to kdm to don't broke up the computer
Patch16:	kdebase-2.0-kdmwaitbeforereswpan.patch.bz2
Patch18:	kdebase-nsplugin.patch.bz2
Patch19:        kdebase-1.99-dont-set-fontset-in-gtkrc.patch.bz2
Patch20:	startkde.patch.bz2

Obsoletes:	kapm kcmclock kcmkdesu kmemmon kruiser ktimemon kdpms kdesu khotkeys kdebase-crypto
Group:		Graphical desktop/KDE
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	kdesupport >= 2.0-1mdk, kdelibs >= 2.0-4mdk, qt2 >= 2.2.1-3mdk, mandrake_desk >= 7.2-18mdk, htdig >= 3.1.5, menu >= 2.1.5-42mdk, perl, /usr/lib/perl5/5.6.0/English.pm, menudrake, pam >= 0.72-12mdk
Provides:	kdesu
BuildPrereq:	qt2-devel, kdesupport-devel, lesstif-devel

%description
Core applications for the K Desktop Environment.

Software included are:
   * KDM: replacement for XDM
   * KWM: window manager
   * KOnqueror: filemanager, web browser, ftp client, etc.
   * KOnsole: XTerm replacement
   * KPpanel: application starter and desktop pager
   * KAudio: audio server
   * KDEHelpcenter: viewer for KDE help files, info and man pages

plus other KDE components:
   * KCheckpass
   * KIkbd
   * KScreensaver
   * KControl
   * KFind
   * KFontmanager
   * KMenuedit
   * KAppfinder

%package 3d-screensavers
Summary:	3D screensavers for KDE
Group:		Graphical desktop/KDE
Requires:	qt2
BuildPrereq:	qt2

%description 3d-screensavers
Some 3D-screensavers for the K Desktop Environment.

%package devel
Summary:	Devel stuff for kdebase
Group:		Graphical desktop/KDE
Requires:	qt2-devel, kdelibs, openssl, kdebase
BuildPrereq:	qt2, kdelibs, openssl

%description devel
Contains the kdebase include files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdebase
%patch1 -p1 -b .kickerrc
%patch2 -p1 -b .kmenuedit
%patch3 -p1
%patch4 -p1
%patch15 -p0
%patch16 -p1
%patch17 -p1 -b .kdesu
%patch18 -p0
%patch19 -p1
%patch20 -p1

%build
make -f Makefile.cvs
export KDEDIR=%_prefix QTDIR=%{qtdir}
perl -pi -e "s|-O2|-O3|g" acinclude.m4
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti" \
	./configure  \
	--prefix=%_prefix \
	--with-pam=%{pamservice} \
	--with-xdmdir=/etc/X11/xdm \
	--with-shadow \
	--disable-rpath \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-debug

%make

%install
export PATH=$PATH:/usr/X11R6/bin
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

tar xvyf %{SOURCE7}
cd mdk-scripts
perl -p -i -e 's|\@KDEPREFIX\@|/usr|' *

install -d $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 usekde $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 kdesetup $RPM_BUILD_ROOT/%{_bindir}

# menu-method
install -d $RPM_BUILD_ROOT/etc/menu-methods
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/menu-methods/kde

install -m 0755 %{SOURCE30} $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 %{SOURCE31} $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 %{SOURCE32} $RPM_BUILD_ROOT/%{_bindir}/

#default apps config
install -d $RPM_BUILD_ROOT/%{_datadir}/config
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/config/kdesktoprc
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT/%{_datadir}/config/khelpcenterrc
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT/%{_datadir}/config
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT/%{_datadir}/config
install -m 0644 %{SOURCE101} $RPM_BUILD_ROOT/%{_datadir}/config

install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 0755 kde.sh $RPM_BUILD_ROOT/etc/profile.d/kde.sh
install -m 0755 kde.csh $RPM_BUILD_ROOT/etc/profile.d/kde.csh

# make kcheckpass suid root
chmod 1755 $RPM_BUILD_ROOT%_prefix/bin/kcheckpass
rm -f $RPM_BUILD_ROOT%_prefix/bin/man2html

#install pam configuration file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 0644 %{SOURCE34} $RPM_BUILD_ROOT/etc/pam.d/%{pamservice}

# add pam_console support if not present
grep pam_console.so $RPM_BUILD_ROOT/etc/pam.d/%{pamservice} || cat >> $RPM_BUILD_ROOT/etc/pam.d/%{pamservice} << EOF
session    optional     /lib/security/pam_console.so
EOF

mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/
tar xvyf %{SOURCE10} -C $RPM_BUILD_ROOT//%{_iconsdir}

mv $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_top.png $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_top.png-orig
mv $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_active_bar.png $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_active_bar.png-orig
mv $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_inactive_bar.png $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_inactive_bar.png-orig

install -m 644 %SOURCE200 $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_top.png
install -m 644 %SOURCE201 $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_active_bar.png
install -m 644 %SOURCE202 $RPM_BUILD_ROOT%_datadir/apps/ksplash/pics/splash_inactive_bar.png

install -m644 %{SOURCE13} $RPM_BUILD_ROOT/usr/share/config/kdmrc

# Add chksession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/01KDE
NAME=KDE
ICON=kde-wmsession.xpm
DESC=The K Desktop Environment
EXEC=/usr/bin/startkde
SCRIPT:
exec /usr/bin/startkde
EOF


chmod 1755 $RPM_BUILD_ROOT/%{_bindir}/konsole_grantpty
chmod 1755 $RPM_BUILD_ROOT/%{_bindir}/kdesu
chmod 1755 $RPM_BUILD_ROOT/%{_bindir}/kdesud

##delete old menu structure
mv $RPM_BUILD_ROOT/%{_datadir}/applnk $RPM_BUILD_ROOT/usr/share/applnk.kdeold

##menus created
mkdir -p $RPM_BUILD_ROOT/%_menudir
install -m 0644 %{SOURCE33} $RPM_BUILD_ROOT/%_menudir/

# This is the new menu conversion code
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Applications/Editors $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Editors/kwrite.desktop $RPM_BUILD_ROOT/%_menudir/kwrite
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Networking/WWW $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Internet/konqbrowser.desktop $RPM_BUILD_ROOT/%_menudir/konqbrowser
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/FileBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/FileBrowsing/filetypes.desktop $RPM_BUILD_ROOT/%_menudir/filetypes kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/FileBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/FileBrowsing/kcmkonq.desktop $RPM_BUILD_ROOT/%_menudir/kcmkonq kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/FileBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/FileBrowsing/.directory $RPM_BUILD_ROOT/%_menudir/kfilebrowdir kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Help $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Help/htmlsearch.desktop $RPM_BUILD_ROOT/%_menudir/htmlsearch kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Help $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Help/.directory $RPM_BUILD_ROOT/%_menudir/khelpdir kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/devices.desktop $RPM_BUILD_ROOT/%_menudir/devices kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/dma.desktop $RPM_BUILD_ROOT/%_menudir/dma kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/interrupts.desktop $RPM_BUILD_ROOT/%_menudir/interrupts kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/ioports.desktop $RPM_BUILD_ROOT/%_menudir/ioports kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/memory.desktop $RPM_BUILD_ROOT/%_menudir/memory kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/partitions.desktop $RPM_BUILD_ROOT/%_menudir/partitions kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/pci.desktop $RPM_BUILD_ROOT/%_menudir/pci kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/processor.desktop $RPM_BUILD_ROOT/%_menudir/processor kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/scsi.desktop $RPM_BUILD_ROOT/%_menudir/scsi kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/smbstatus.desktop $RPM_BUILD_ROOT/%_menudir/smbstatus kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/sound.desktop $RPM_BUILD_ROOT/%_menudir/sound kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/xserver.desktop $RPM_BUILD_ROOT/%_menudir/xserver kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Information $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Information/.directory $RPM_BUILD_ROOT/%_menudir/kcontrolinfodir kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/colors.desktop $RPM_BUILD_ROOT/%_menudir/colors kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/fonts.desktop $RPM_BUILD_ROOT/%_menudir/fontse kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/icons.desktop $RPM_BUILD_ROOT/%_menudir/icons kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/kcmnotify.desktop $RPM_BUILD_ROOT/%_menudir/kcmnotify kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/kcmtaskbar.desktop $RPM_BUILD_ROOT/%_menudir/kcmtaskbar kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/keys.desktop $RPM_BUILD_ROOT/%_menudir/keys kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/panel.desktop $RPM_BUILD_ROOT/%_menudir/panel kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/screensaver.desktop $RPM_BUILD_ROOT/%_menudir/screensaver kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/.directory $RPM_BUILD_ROOT/%_menudir/kcontrollookfeel kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Desktop/background.desktop $RPM_BUILD_ROOT/%_menudir/background kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Desktop/borders.desktop $RPM_BUILD_ROOT/%_menudir/borders kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Desktop/desktop.desktop $RPM_BUILD_ROOT/%_menudir/desktop kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Desktop/virtualdesktops.desktop $RPM_BUILD_ROOT/%_menudir/virtualdesktop kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Themes/iconthemes.desktop $RPM_BUILD_ROOT/%_menudir/icontheme kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Themes/style.desktop $RPM_BUILD_ROOT/%_menudir/style kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Windows/actions.desktop $RPM_BUILD_ROOT/%_menudir/actions kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/LookNFeel $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/LookNFeel/Windows/mouse.desktop $RPM_BUILD_ROOT/%_menudir/mouse kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Networking $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Network/smb.desktop $RPM_BUILD_ROOT/%_menudir/smb kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Hardware $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Peripherals/keyboard.desktop $RPM_BUILD_ROOT/%_menudir/keyboard kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Hardware $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Peripherals/mouse.desktop $RPM_BUILD_ROOT/%_menudir/kmouse kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Personalization $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Personalization/email.desktop $RPM_BUILD_ROOT/%_menudir/email kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Personalization $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Personalization/kcmaccess.desktop $RPM_BUILD_ROOT/%_menudir/kcmaccess kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Personalization $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Personalization/kcmlayout.desktop $RPM_BUILD_ROOT/%_menudir/kcmlayout kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Personalization $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Personalization/language.desktop $RPM_BUILD_ROOT/%_menudir/language kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Personalization $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Personalization/passwords.desktop $RPM_BUILD_ROOT/%_menudir/passwords kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/PowerControl $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/PowerControl/energy.desktop $RPM_BUILD_ROOT/%_menudir/energy  kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Sound $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Sound/arts.desktop $RPM_BUILD_ROOT/%_menudir/arts kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/Sound $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/Sound/bell.desktop $RPM_BUILD_ROOT/%_menudir/bell kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/System/clock.desktop $RPM_BUILD_ROOT/%_menudir/clock kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/System/kdm.desktop $RPM_BUILD_ROOT/%_menudir/kdm kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/System $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/kmenuedit.desktop $RPM_BUILD_ROOT/%_menudir/kmenuedit kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/cookies.desktop $RPM_BUILD_ROOT/%_menudir/cookies kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/ebrowsing.desktop $RPM_BUILD_ROOT/%_menudir/ebrowsing  kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/konqhtml.desktop $RPM_BUILD_ROOT/%_menudir/konqhtml kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/proxy.desktop $RPM_BUILD_ROOT/%_menudir/proxy kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/useragent.desktop $RPM_BUILD_ROOT/%_menudir/useragent kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDE/WebBrowsing $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Settings/WebBrowsing/nsplugin.desktop $RPM_BUILD_ROOT/%_menudir/knsplugin kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/Other $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/Arrange.desktop $RPM_BUILD_ROOT/%_menudir/Arrange kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "Applications/File tools" $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/kfmclient.desktop $RPM_BUILD_ROOT/%_menudir/kfmclient kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/Other $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/klegacyimport.desktop $RPM_BUILD_ROOT/%_menudir/klegacyimport kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "Applications/File tools" $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/konquerorsu.desktop $RPM_BUILD_ROOT/%_menudir/konquerorsu kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Terminals $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/konsole.desktop $RPM_BUILD_ROOT/%_menudir/konsole
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Applications/Shells $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/konsolesu.desktop $RPM_BUILD_ROOT/%_menudir/konsolesu kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Applications/Monitoring $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ksysguard.desktop $RPM_BUILD_ROOT/%_menudir/ksysguard 
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "Applications/Text tools" $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Utilities/klipper.desktop $RPM_BUILD_ROOT/%_menudir/klipper
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Applications/Communications $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Utilities/kpager.desktop $RPM_BUILD_ROOT/%_menudir/kpager
 #/usr/bin/kdedesktop2mdkmenu.pl kdebase Documentation $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Utilities/ktip.desktop $RPM_BUILD_ROOT/%_menudir/ktip
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "/" $RPM_BUILD_DIR/kdebase/kcontrol/kcontrol/KControl.desktop $RPM_BUILD_ROOT/%_menudir/KControl kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "/" $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Home.desktop $RPM_BUILD_ROOT/%_menudir/KHome kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase "/" $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/Help.desktop $RPM_BUILD_ROOT/%_menudir/KHelp kde
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KBanner.desktop $RPM_BUILD_ROOT/%_menudir/KBanner kde KBanner
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KBlankscreen.desktop $RPM_BUILD_ROOT/%_menudir/KBlankscreen kde KBlankscreen
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KBlob.desktop $RPM_BUILD_ROOT/%_menudir/KBlob kde KBlob
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KBouboule.desktop $RPM_BUILD_ROOT/%_menudir/KBouboule kde KBouboule
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KBsod.desktop $RPM_BUILD_ROOT/%_menudir/KBsod kde KBsod
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KHop.desktop $RPM_BUILD_ROOT/%_menudir/KHop kde KHop
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KLines.desktop $RPM_BUILD_ROOT/%_menudir/KLines kde KLines
# /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KLissie.desktop $RPM_BUILD_ROOT/%_menudir/KLissie kde KLissie
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KLorenz.desktop $RPM_BUILD_ROOT/%_menudir/KLorenz kde KLorenz
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KPipes.desktop $RPM_BUILD_ROOT/%_menudir/KPipes kde KPipes
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KPolygon.desktop $RPM_BUILD_ROOT/%_menudir/KPolygon kde KPolygon
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KPyro.desktop $RPM_BUILD_ROOT/%_menudir/KPyro kde KPyro
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KRock.desktop $RPM_BUILD_ROOT/%_menudir/KRock kde KRock
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KScience.desktop $RPM_BUILD_ROOT/%_menudir/KScience kde KScience
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KSlidescreen.desktop $RPM_BUILD_ROOT/%_menudir/KSlidescreen kde KSlidescreen
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KSpace.desktop $RPM_BUILD_ROOT/%_menudir/KSpace kde KSpace
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KSwarm.desktop $RPM_BUILD_ROOT/%_menudir/KSwarm kde KSwarm
 /usr/bin/kdedesktop2mdkmenu.pl kdebase Configuration/KDEScreenSavers $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold/System/ScreenSavers/KVm.desktop $RPM_BUILD_ROOT/%_menudir/KVm kde KVm

rm -fr $RPM_BUILD_ROOT/%{_datadir}/applnk.kdeold

# Quick & dirty fix for menus
perl -pi -e "s|kcmshell LookNFeel/Windows/actions|kcmshell LookNFeel/actions|" $RPM_BUILD_ROOT%_menudir/actions
perl -pi -e "s|kcmshell LookNFeel/Windows/mouse|kcmshell LookNFeel/mouse|" $RPM_BUILD_ROOT%_menudir/mouse
perl -pi -e "s|kcmshell LookNFeel/Desktop/background|kcmshell LookNFeel/background|" $RPM_BUILD_ROOT%_menudir/background
perl -pi -e "s|kcmshell LookNFeel/Desktop/borders|kcmshell LookNFeel/borders|" $RPM_BUILD_ROOT%_menudir/borders
perl -pi -e "s|kcmshell LookNFeel/Desktop/desktop|kcmshell LookNFeel/desktop|" $RPM_BUILD_ROOT%_menudir/desktop
perl -pi -e "s|kcmshell LookNFeel/Desktop/virtualdesktops|kcmshell LookNFeel/virtualdesktops|" $RPM_BUILD_ROOT%_menudir/virtualdesktop
perl -pi -e "s|kcmshell LookNFeel/Themes/iconthemes|kcmshell LookNFeel/iconthemes|" $RPM_BUILD_ROOT%_menudir/icontheme
perl -pi -e "s|kcmshell LookNFeel/Themes/style|kcmshell LookNFeel/style|" $RPM_BUILD_ROOT%_menudir/style
perl -pi -e "s|kcmshell Peripherals/keyboard|kcmshell Hardware/keyboard|" $RPM_BUILD_ROOT%_menudir/keyboard
perl -pi -e "s|kcmshell Peripherals/mouse|kcmshell Hardware/mouse|" $RPM_BUILD_ROOT%_menudir/kmouse
perl -pi -e "s|kcmshell Network/smb|kcmshell Networking/smb|" $RPM_BUILD_ROOT%_menudir/smb
perl -pi -e "s|kcmshell Information/smb|kcmshell Information/smbstatus|" $RPM_BUILD_ROOT%_menudir/smbstatus
perl -pi -e "s|kcmshell Fontmanager|kcmshell LookNFeel/fontmanager|" $RPM_BUILD_ROOT%_menudir/fontmanager
perl -pi -e "s|kcmshell Personalization/access|kcmshell Personalization/kcmaccess|" $RPM_BUILD_ROOT%_menudir/kcmaccess
perl -pi -e "s|kcmshell Personalization/layout|kcmshell Personalization/kcmlayout|" $RPM_BUILD_ROOT%_menudir/kcmlayout


rm -rf $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/xmms.png

rm -fr $RPM_BUILD_ROOT/%{_datadir}/apps/kdm/pics/users
install -d $RPM_BUILD_ROOT/%{_datadir}/apps/kdm/pics
cd $RPM_BUILD_ROOT/%{_datadir}/apps/kdm/pics
ln -s %{_datadir}/faces ./users

# Remove kmenuedit
rm -f $RPM_BUILD_ROOT%_bindir/kmenuedit
rm -f $RPM_BUILD_ROOT%_libdir/kmenuedit*

# Remove kapffinder
rm -f $RPM_BUILD_ROOT%_bindir/kappfinder

# Remove Emacq colors
rm -f $RPM_BUILD_ROOT%_datadir/apps/kdisplay/app-defaults/Emacs.ad

# Remove kmatrix binary
rm -f $RPM_BUILD_ROOT%_bindir/kmatrix.kss
rm -f $RPM_BUILD_ROOT%_menudir/KLissie

# Remove non legal wallpapers
rm -f $RPM_BUILD_ROOT%_datadir/wallpapers/Planet-KDE.jpg
rm -f $RPM_BUILD_ROOT%_datadir/wallpapers/simple_wallpaper.jpg

%post
/sbin/ldconfig
%{update_menus}
%{make_session}

%postun
/sbin/ldconfig
%{clean_menus}
%{make_session}

if [ "$1" = "0" ]; then
  cd /usr/X11R6/lib/X11/fonts/misc && /usr/X11R6/bin/mkfontdir
fi

%pre
rm -fr /usr/share/apps/kdm/pics/usrs

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) /etc/X11/wmsession.d/*
%config(noreplace) /etc/menu-methods/kde
%config(noreplace) /etc/pam.d/kde
%config(noreplace) /etc/profile.d/kde.csh
%config(noreplace) /etc/profile.d/kde.sh
%doc %{_docdir}/HTML/en/kcontrol
%doc %{_docdir}/HTML/en/kdebugdialog
%doc %{_docdir}/HTML/en/kdesu
%doc %{_docdir}/HTML/en/kdm
%doc %{_docdir}/HTML/en/khelpcenter
%doc %{_docdir}/HTML/en/kicker
%doc %{_docdir}/HTML/en/konqueror
%doc %{_docdir}/HTML/en/konsole
%doc %{_docdir}/HTML/en/kpager
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la*
%{_libdir}/*.so*
%_menudir/*
%{_datadir}/apps/clockapplet
%{_datadir}/apps/drkonqi
%{_datadir}/apps/kbookmark
%{_datadir}/apps/kcminput
%{_datadir}/apps/kcmlocale
%{_datadir}/apps/kcontrol
%{_datadir}/apps/kdcop
%{_datadir}/apps/kdesktop
%{_datadir}/apps/kdewizard
%{_datadir}/apps/kdisplay
%{_datadir}/apps/kdm
%{_datadir}/apps/khelpcenter
%{_datadir}/apps/kicker
%{_datadir}/apps/kio_info
%{_datadir}/apps/konqiconview
%{_datadir}/apps/konqlistview
%{_datadir}/apps/konqueror
%{_datadir}/apps/konsole
%{_datadir}/apps/kscreensaver
%{_datadir}/apps/ksplash
%{_datadir}/apps/ksysguard
%{_datadir}/apps/kwin
%{_datadir}/apps/kwrite
%{_datadir}/apps/quickbrowser
%{_datadir}/config/*
%{_iconsdir}/*.xpm
%{_iconsdir}/hicolor
%{_iconsdir}/locolor
%{_datadir}/fonts/*
%{_datadir}/locale/C/*
%{_datadir}/locale/l10n
%{_datadir}/mimelnk/application/x-konsole.desktop
%{_datadir}/services/*
%{_datadir}/sounds/*
%{_datadir}/templates/*
%{_datadir}/templates/.source/*
%{_datadir}/wallpapers/*


%files devel
%defattr(-,root,root)
%_includedir/*

%changelog
* Thu Oct 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-7mdk
- Adjust Requires (versions) and add some missing
- Remove KThememgr from Description

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-6mdk
- Move some Menu entries in right place

* Fri Oct 20 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-5mdk
- Fix menus (Laurent MONTEL & me)
- Modifications for startkde as patch (and add new fix)
- Don't remove originals KDE splash screens
- Change wmsession description
- Don't overwrite RPM %%_menudir macro

* Thu Oct 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Changed the version in kcontrol to 2.0 from 2.0pre

* Thu Oct 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Changed the version of menu required to 2.15-42mdk per David Baudens

* Thu Oct 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Added patch #4 from Laurent for the minipager
- Added new menu method from Vincent (10-16-2000 email attach).

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code for 2.0 Release Version

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-17mdk
- Fix startkde for Doc icon

* Mon Oct 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-16mdk
- KDE stuff for KDE only (Menu)
- Remove non legal image

* Mon Oct 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-15mdk
- New splash

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 1.99-14mdk
- dont-set-fontset-in-gtkrc

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-13mdk
- Updated kdebase from cvs to grab latest khtml and other fixes. Closes a bunch 
  of bugs. Update approved by QA.

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-12mdk
- Fix Zip
- Requires mandrake_desk >= 7.2-13mdk

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-11mdk
- Display koshell before kword in kicker
- Launch menudrake instead kmenuedit in Kicker (Laurent MONTEL)

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-10mdk
- Try again for code fixes for man pages (David Baudens over-wrote last update) 
- Fixed startkde for the lnusertmp output

* Thu Oct 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-9mdk
- Remove some backgrounds
- Support for HELP_BROWSER

* Thu Oct 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-8mdk
- Fix cursor
- Fix restorekdemimetypes.sh (Laurent MONTEL)
- Fix savekdemimetypes.sh (Laurent MONTEL)
- Add dependencies on perl (# 640)

* Thu Oct  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.99-7mdk
- added menu method from Vincent with support for utf8.
- patch to be able to use make -j.

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-6mdk
- Updated kdebase/kwin/workspace.cpp from cvs to include patch for apps crashing
  approved by QA.

* Tue Oct 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-5mdk
- Updated code for 2.0 Release Candidate 1 fixes
- Added patch for kmenuedit.desktop file to point to menudake
- removed non-working or copyright issue screensavers - list from David Baudens

* Tue Oct 03 2000 David BAUDENS <baudens@mandrakesoft.com> 1.99-4mdk
- Remove Patch #34
- Remove kappfinder stuff
- Remove kmenuedit stuff
- Use %%make macro
- Spec clean up
- Fix mime types (Vince)
- UI modifications
- Requires mandrake_desk >= 7.2-8mdk
- Really use optimizations (thanks to Gg)
- Remove mandrake-doc icon from panel 
- Remove Emacs.ad (too many complaints)

* Tue Oct 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-3mdk
- Updated code for 2.0 Release Candidate 1 fixes for screensavers
- Deleted bad icon in /usr/share/icons/locolor/32x32/apps/xmms.png

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code for 2.0 Release Candidate 1 fixes for kwrite
- Fixed typo in spec file

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code for 2.0 Release Candidate 1

* Sun Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-24mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-23mdk
- Rebuilt to make menu files pick up changes from revised script from kdesupport
- Added patches for kdesu_stub.c.diff and kdebase_kicker.patch from David Faure
- Updated code to catch several additional patches that are requested.

* Thu Sep 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-22mdk
- Rebuilt to make menu files pick up changes from revised script from kdesupport

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-21mdk
- Patch kdm to don't try to respawn like crazy when the X is badly
  configured.

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-20mdk
- Updated code

* Tue Sep 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-19mdk
- Added a %pre as requested by Frederic Crozat to remove old kde/pics/users
  directory before we add symlnk as a part of this package. This fixes a 
  upgrade problem from kde1.

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-18mdk
- Updated code

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.94-17mdk
- kde pam service uses pam_stack.

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-16mdk
- Updated code

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-15mdk
- Fixes bug # 402 - Control center does not work from kicker or menu. Problem
  was a typo in the kdedesktop2mdkmenu.pl script on the kde_command.

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.94-14mdk
- added patch to remove watch cursor at the end of startup

* Thu Sep 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-13mdk
- changed menu entries for templates and auto-run folder per request from Vincent

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-12mdk
- Updated code
- added a clockappletrc to defaults to set the clock type to LCD
- Added title to screensaver menu entries so they should now build
- removed SOURCE34 and changed all auto menu file configuration to use the kdedesktop2mdkmenu.pl
  that is installed via kdesupport to /usr/bin. This should resolve conflicts with developers
  over-writing each others changes.
- changed kdmrc to use /sbin/poweroff instead of /sbin/halt for shutdown by default
- Added make_session to post and postun per David Baudens.
- Added menu for autostart and templates folder

* Wed Sep 20 2000 Francis Galiegue <fg@mandrakesoft.com> 1.94-11mdk
- Don't use krdb by default (solves KDE+emacs bug)

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Fixed templates directory

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Thu Sep 14 2000 Vincent Saugey <vince@mandrakesoft.com> 1.94-7mdk
- Change in menu entry creation :
		Remove % in classic command (Thx to gc for perl hack) and adding
		specific kde_command
		Redo extension for kde icons in menu 
- Change in menu method :
		keep only icons relative path in .desktop
		now support for kde_command
- Change kde description icons dirs (index.desktop) in locolor
- Htdig support :
		Now package require htdig
		Adding khelpcenter htdig config by default 
		(probably need to add a postscript)


* Wed Sep 13 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Put cursor back to watch since I didn't understand what was being asked
  (and still don't).

* Wed Sep 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.94-5mdk
- added pam_console.so to kde PAM config.
- desactivated patch for autologin (all is done in the autologin package now).

* Tue Sep 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Changed pointer per reqeuest from Guillaume back to left_prt

* Tue Sep 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Mon Sep 11 2000 Vincent Saugey <vince@mandrakesoft.com> 1.94-2mdk
- Correct menu entry
- Adding script from david faure for save in restore the mimes type configuration
- Adding a script to generate the system menu entry to hide
- Remove kdeadddir
- Adding kdebasedir to /usr/lib/menu/ to correct construction of the menu structure
- Change many needs by default in menu file
- adding some maccros
- Patch kdedesktop2mdkmenu.pl, Thx to gg !
- Adding kdedesktop2mdkmenu.pl to the rpm source for automated build
- Change make for use SMP.

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Sun Sep 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-29mdk
- Rebuilt as hopefully the last needed fix for the kcontrol problems. This
  includes the standard file names for applnk.
- Had to modify the kickerrc default for the above as well.

* Sun Sep 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-28mdk
- Actually added the kdeadddir.sh file to the file list.  SHould help those kcontrol problems 

* Sat Sep 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-27mdk
- Updated menu-method. The output file-name does matter to kde with some of the 
  applications. Can not always use the title for the file name generated.

* Sat Sep 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-26mdk
- Updated kickerrc - panel group has changed names to General in cvs this will
  fix default icons. To get default you must delete ~/.kde/share/config/kickerrc in
  existing users.
- Upped the required version of qt2 to 2.2-2mdk after getting a few emails.


* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-25mdk
- Fixed menu method to account for different icon name format (no long path)
- Fixed problem with menu method for kcontrol

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-24mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-23mdk
- Updated code

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-22mdk
- Added kdesktoprc to default window bar off
- Moved KDE Screensavers to Configuration/KDE/KDEScreenSavers per request from David Baudens
- Fixed menu method to try and pull in the kde_opt in directory .directory files.
- Removed patch 18 - now in code.

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-21mdk
- Added David's patches to the kcontrol and screensaver this should allow us to relocate the menus.
- Moved Configuration menu entries
- Udpated code.
- Removed localhost patch as it's now in cvs code

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.93-20mdk
- Improve Mandrake Touch
- Begin Spec clean up and fix some typos
- Make non relocatable
- Human readable Description
- Let spec_helper works
- Fix bad entry for KOnqueror (file browser as root) in Networking/WWW
- Fix application of patch #18
- Remove mandrake-logo-xdm.xpm from Source # 10
- Remove Source # 1 (no longuer used)
- Fix conflict with mandrake_desk
- Requires mandrake_desk >= 7.2.4mdk
- Fix uninstall on faces/users

* Mon Sep 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-19mdk
- Fix to menumethod userprefix as suggested by Vince

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-18mdk
- Added patch for host name problem as suggested in kde-core-devel
- Updated code

* Fri Sep 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-17mdk
- Re-addded kdm patch for password and kdesu patch for warning message to spec file

* Thu Aug 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-16mdk
- new kickerrc file. To get new defaults you must delete
  $HOME/.kde/share/config/kickerrc

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-15mdk
- new kickerrc file. To get new defaults you must delete
  $HOME/.kde/share/config/kickerrc

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-14mdk
- Updated code / bug fixes.
- Added patch for kdmi passwords echo.

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-13mdk
- Added a requires kde to ktips per request from David Baudens.

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-12mdk
- Updated code / bug fixes.

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-11mdk
- Fixed chmod per suggestion from Pixel.

* Sun Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Fixed kdmrc so root displays again.
- Fixed icons in menu method.
- Fixed kcontrol so it is usable. Path to applink/Settings is very tightly woven
  into all of the kcontrol applets. I can't change to Configuration and it remain
  stable.
- removed kmenuedit to make room for the standard mandrake one.

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code
- Added the use of kdedesktop2mdkmen.pl to automate menu file creation
- added specific version numbers for qt2 and kdesupport in requires
- turned off debug code.

* Thu Aug 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Added a bunch of menu entries to fix kcontrol finished 
- Added mimetypes on a few entries that needed them, should fix browsing and kwrite

* Wed Aug 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Added a bunch of menu entries to fix kcontrol.           

* Wed Aug 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Added a default kickerrc for a default kicker setting.           
- Added Requires of mandrake_desk >= 1.0.4-8mdk per David Baudens

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.93-4mdk
- changed to needs=kde for toplevel entries to avoid garbage in other window managers.
- added patch to redirect stderr of kdm to /var/log/xdm-errors

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Modified linking of the faces so that it does the linking in post
- Added Requires of mandrake_desk

* Tue Aug 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Modified menu file to add additional fields for koffice
- Modified kdmrc not to show root
- Moved konsole to terminal where it belongs
- Fixed a few bad menu sections
- Fixed locations of user faces - now supplied by mandrake_desk

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- setsuid on /usr/bin/konsole_grantpty in an attempt to solve kdesu problem
- Updated code
- Added menu method
- enabled debug again - to many problems leaving it off.
- added a debug package for the includes

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 13 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Wed Aug 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-10mdk
- Updated code
- Include fix for kdm to read low user ID from kdmrc - no patch fix is checked
  into KDE cvs for inclusion into 2.0

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-9mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Thu Aug 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code
- Removed file.lists from files went to static lists.
- Started menu entries

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-5mdk
- Changed case of the wmsession file per request from Dam's

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code
- Changed release numbering to standard

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code

* Fri Jul 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000714mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- moved to /usr

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Updated code snapshot
- Seperated the crypto stuff into different package

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot and rebuilt to try and correct build problem

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com>
- 1.91-0.20000611mdk
- update code snapshot

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code to more recent version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- recomiled with more recent version of kde2 bugs corrected from the beta release

* Tue May 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-1mdk
- recompiled for Mandrake and removed some redhat stuff from spec
  file

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
